/*
  a metaPlayer stores a device tree and can change internally the yafPlayer
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */



#include <yafAmplifier/metaPlayer.h>


MetaPlayer::MetaPlayer() {
  streamProducer=NULL;
}


MetaPlayer::~MetaPlayer() {
}


int MetaPlayer::open(char* filename ) {
  int back=0;
  if (streamProducer != NULL) {
    back=streamProducer->open(filename);
  }
  return back;
}


int MetaPlayer::close() {
  int back=0;
  if (streamProducer != NULL) {
    back=streamProducer->close();
  }
  return back;
}


  
int MetaPlayer::pause() {
  int back=0;
  if (streamProducer != NULL) {
    back=streamProducer->pause();
  }
  return back;
}


int MetaPlayer::play() {
  int back=0;
  if (streamProducer != NULL) {
    back=streamProducer->play();
  }
  return back;
}


int MetaPlayer::jump(int sec) {
  int back=0;
  if (streamProducer != NULL) {
    back=streamProducer->jump(sec);
  }
  return back;
}



OutputDevice* MetaPlayer::getInternalDeviceTree() {
  return NULL;
}



void MetaPlayer::setGenericStreamProducer(GenericStreamProducer* sProducer) {
  OutputDevice* tree;

  if (streamProducer != NULL) {
    tree=getInternalDeviceTree();
    streamProducer->removeListener(tree);
  }
  
  streamProducer=sProducer;
  if (streamProducer != NULL) {
    tree=getInternalDeviceTree();
    streamProducer->addListener(tree);
  }
}



GenericStreamProducer* MetaPlayer::getGenericStreamProducer() {
  return streamProducer;
}






